# frozen_string_literal: true
module SplashPayments
  class Account
    def self.list
      result = Client.new.request('get', '/accounts')
      result['response']['data']
    end

    def self.retrieve(id)
      result = Client.new.request('get', "/accounts/#{id}")
      result['response']['data']
    end

    def self.create(params = {})
      result = Client.new.request('post', '/accounts', params)
      result['response']['data']
    end

    def self.update(id, params = {})
      result = Client.new.request('put', "/accounts/#{id}", params)
      result['response']['data']
    end

    def self.delete(id)
      result = Client.new.request('delete', "/accounts/#{id}")
      result['response']['data']
    end
  end
end
