# frozen_string_literal: true
module SplashPayments
  class Customer
    def self.list
      result = Client.new.request('get', '/customers')
      result['response']['data']
    end

    def self.retrieve(id)
      result = Client.new.request('get', "/customers/#{id}")
      result['response']['data']
    end

    def self.create(customer_params)
      result = Client.new.request('post', '/customers', customer_params)
      result['response']['data']
    end

    def self.update(id, customer_params)
      result = Client.new.request('put', "/customers/#{id}", customer_params)
      result['response']['data']
    end

    def self.delete(id)
      result = Client.new.request('delete', "/customers/#{id}")
      result['response']['data']
    end
  end
end
