# frozen_string_literal: true
module SplashPayments
  class Entity
    def self.list
      result = Client.new.request('get', '/entities')
      result['response']['data']
    end

    def self.retrieve(id)
      result = Client.new.request('get', "/entities/#{id}")
      result['response']['data']
    end

    def self.create(params = {})
      result = Client.new.request('post', '/entities', params)
      result['response']['data']
    end

    def self.update(id, params = {})
      result = Client.new.request('put', "/entities/#{id}", params)
      result['response']['data']
    end

    def self.delete(id)
      result = Client.new.request('delete', "/entities/#{id}")
      result['response']['data']
    end
  end
end
