# frozen_string_literal: true
module SplashPayments
  class Member
    def self.list
      result = Client.new.request('get', '/members')
      result['response']['data']
    end

    def self.retrieve(id)
      result = Client.new.request('get', "/members/#{id}")
      result['response']['data']
    end

    def self.create(params = {})
      result = Client.new.request('post', '/members', params)
      result['response']['data']
    end

    def self.update(id, params = {})
      result = Client.new.request('put', "/members/#{id}", params)
      result['response']['data']
    end

    def self.delete(id)
      result = Client.new.request('delete', "/members/#{id}")
      result['response']['data']
    end
  end
end
