# frozen_string_literal: true
module SplashPayments
  class Merchant
    def self.list
      result = Client.new.request('get', '/merchants')
      result['response']['data']
    end

    def self.retrieve(id)
      result = Client.new.request('get', "/merchants/#{id}")
      result['response']['data']
    end

    def self.create(params = {})
      result = Client.new.request('post', '/merchants', params)
      result['response']['data']
    end

    def self.update(id, params = {})
      result = Client.new.request('put', "/merchants/#{id}", params)
      result['response']['data']
    end

    def self.delete(id)
      result = Client.new.request('delete', "/merchants/#{id}")
      result['response']['data']
    end
  end
end
