# frozen_string_literal: true
module SplashPayments
  class Org
    def self.list
      result = Client.new.request('get', '/orgs')
      result['response']['data']
    end

    def self.retrieve(id)
      result = Client.new.request('get', "/orgs/#{id}")
      result['response']['data']
    end

    def self.create(params = {})
      result = Client.new.request('post', '/orgs', params)
      result['response']['data']
    end

    def self.update(id, params = {})
      result = Client.new.request('put', "/orgs/#{id}", params)
      result['response']['data']
    end

    def self.delete(id)
      result = Client.new.request('delete', "/orgs/#{id}")
      result['response']['data']
    end
  end
end
