# frozen_string_literal: true
module SplashPayments
  class OrgUser
    def self.list
      result = Client.new.request('get', '/orgUsers')
      result['response']['data']
    end

    def self.retrieve(id)
      result = Client.new.request('get', "/orgUsers/#{id}")
      result['response']['data']
    end

    def self.create(params = {})
      result = Client.new.request('post', '/orgUsers', params)
      result['response']['data']
    end

    def self.update(id, params = {})
      result = Client.new.request('put', "/orgUsers/#{id}", params)
      result['response']['data']
    end

    def self.delete(id)
      result = Client.new.request('delete', "/orgUsers/#{id}")
      result['response']['data']
    end
  end
end
