# frozen_string_literal: true
module SplashPayments
  class Payout
    def self.list
      result = Client.new.request('get', '/payouts')
      result['response']['data']
    end

    def self.retrieve(id)
      result = Client.new.request('get', "/payouts/#{id}")
      result['response']['data']
    end

    def self.create(params = {})
      result = Client.new.request('post', '/payouts', params)
      result['response']['data']
    end

    def self.update(id, params = {})
      result = Client.new.request('put', "/payouts/#{id}", params)
      result['response']['data']
    end

    def self.delete(id)
      result = Client.new.request('delete', "/payouts/#{id}")
      result['response']['data']
    end
  end
end
