# frozen_string_literal: true
module SplashPayments
  class Plan
    def self.list
      result = Client.new.request('get', '/plans')
      result['response']['data']
    end

    def self.retrieve(id)
      result = Client.new.request('get', "/plans/#{id}")
      result['response']['data']
    end

    def self.create(params = {})
      result = Client.new.request('post', '/plans', params)
      result['response']['data']
    end

    def self.update(id, params = {})
      result = Client.new.request('put', "/plans/#{id}", params)
      result['response']['data']
    end

    def self.delete(id)
      result = Client.new.request('delete', "/plans/#{id}")
      result['response']['data']
    end
  end
end
