# frozen_string_literal: true
module SplashPayments
  class Subscription
    def self.list
      result = Client.new.request('get', '/subscriptions')
      result['response']['data']
    end

    def self.retrieve(id)
      result = Client.new.request('get', "/subscriptions/#{id}")
      result['response']['data']
    end

    def self.create(params = {})
      result = Client.new.request('post', '/subscriptions', params)
      result['response']['data']
    end

    def self.update(id, params = {})
      result = Client.new.request('put', "/subscriptions/#{id}", params)
      result['response']['data']
    end

    def self.delete(id)
      result = Client.new.request('delete', "/subscriptions/#{id}")
      result['response']['data']
    end
  end
end
