# frozen_string_literal: true
module SplashPayments
  class Token
    def self.list
      result = Client.new.request('get', '/tokens')
      result['response']['data']
    end

    def self.retrieve(id)
      result = Client.new.request('get', "/tokens/#{id}")
      result['response']['data']
    end

    def self.create(params = {})
      result = Client.new.request('post', '/tokens', params)
      result['response']['data']
    end

    def self.update(id, params = {})
      result = Client.new.request('put', "/tokens/#{id}", params)
      result['response']['data']
    end

    def self.delete(id)
      result = Client.new.request('delete', "/tokens/#{id}")
      result['response']['data']
    end
  end
end
